Skip to main content
DELETE
/
v2
/
upload
/
s3
/
multipart
/
{uploadId}
Cancel Multipart Upload
curl --request DELETE \
  --url https://api.lilt.com/v2/upload/s3/multipart/{uploadId} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lilt.com/v2/upload/s3/multipart/{uploadId}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lilt.com/v2/upload/s3/multipart/{uploadId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "message": "Multipart upload cancelled successfully"
}
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

uploadId
string
required

Multipart upload ID to cancel

Query Parameters

s3Key
string
required

Upload key from initiate response

Response

Upload cancellation confirmation.

success
boolean

Cancellation status

Example:

true

message
string

Cancellation message

Example:

"Multipart upload cancelled successfully"